# GroupService | windmill-client
Documentation for windmill-client

# Class GroupService

- Defined in src/services.gen.ts:5420

#####
Index

### Constructors

constructor

### Methods

addUserToGroup
addUserToInstanceGroup
createGroup
createInstanceGroup
deleteGroup
deleteInstanceGroup
getGroup
getInstanceGroup
listGroupNames
listGroups
listInstanceGroups
removeUserFromInstanceGroup
removeUserToGroup
updateGroup
updateInstanceGroup

##
Constructors

### constructor

- new GroupService(): GroupService

- #### Returns GroupService

##
Methods

### `Static` addUserToGroup

- addUserToGroup(data): CancelablePromise <string>

- add user to group

  #### Parameters

  - data: AddUserToGroupData

    The data for the request.

  #### Returns CancelablePromise <string>

  string user added to group

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5676

### `Static` addUserToInstanceGroup

- addUserToInstanceGroup(data): CancelablePromise <string>

- add user to instance group

  #### Parameters

  - data: AddUserToInstanceGroupData

    The data for the request.

  #### Returns CancelablePromise <string>

  string user added to instance group

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5511

### `Static` createGroup

- createGroup(data): CancelablePromise <string>

- create group

  #### Parameters

  - data: CreateGroupData

    The data for the request.

  #### Returns CancelablePromise <string>

  string group created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5595

### `Static` createInstanceGroup

- createInstanceGroup(data): CancelablePromise <string>

- create instance group

  #### Parameters

  - data: CreateInstanceGroupData

    The data for the request.

  #### Returns CancelablePromise <string>

  string instance group created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5457

### `Static` deleteGroup

- deleteGroup(data): CancelablePromise <string>

- delete group

  #### Parameters

  - data: DeleteGroupData

    The data for the request.

  #### Returns CancelablePromise <string>

  string group deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5637

### `Static` deleteInstanceGroup

- deleteInstanceGroup(data): CancelablePromise <string>

- delete instance group

  #### Parameters

  - data: DeleteInstanceGroupData

    The data for the request.

  #### Returns CancelablePromise <string>

  string instance group deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5493

### `Static` getGroup

- getGroup(data): CancelablePromise < Group >

- get group

  #### Parameters

  - data: GetGroupData

    The data for the request.

  #### Returns CancelablePromise < Group >

  Group group

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5656

### `Static` getInstanceGroup

- getInstanceGroup(data): CancelablePromise < InstanceGroup >

- get instance group

  #### Parameters

  - data: GetInstanceGroupData

    The data for the request.

  #### Returns CancelablePromise < InstanceGroup >

  InstanceGroup instance group

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5440

### `Static` listGroupNames

- listGroupNames(data): CancelablePromise < ListGroupNamesResponse >

- list group names

  #### Parameters

  - data: ListGroupNamesData

    The data for the request.

  #### Returns CancelablePromise < ListGroupNamesResponse >

  string group list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5574

### `Static` listGroups

- listGroups(data): CancelablePromise < ListGroupsResponse >

- list groups

  #### Parameters

  - data: ListGroupsData

    The data for the request.

  #### Returns CancelablePromise < ListGroupsResponse >

  Group group list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5552

### `Static` listInstanceGroups

- listInstanceGroups(): CancelablePromise < ListInstanceGroupsResponse >

- list instance groups

  #### Returns CancelablePromise < ListInstanceGroupsResponse >

  InstanceGroup instance group list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5426

### `Static` removeUserFromInstanceGroup

- removeUserFromInstanceGroup(data): CancelablePromise <string>

- remove user from instance group

  #### Parameters

  - data: RemoveUserFromInstanceGroupData

    The data for the request.

  #### Returns CancelablePromise <string>

  string user removed from instance group

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5531

### `Static` removeUserToGroup

- removeUserToGroup(data): CancelablePromise <string>

- remove user to group

  #### Parameters

  - data: RemoveUserToGroupData

    The data for the request.

  #### Returns CancelablePromise <string>

  string user removed from group

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5698

### `Static` updateGroup

- updateGroup(data): CancelablePromise <string>

- update group

  #### Parameters

  - data: UpdateGroupData

    The data for the request.

  #### Returns CancelablePromise <string>

  string group updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5616

### `Static` updateInstanceGroup

- updateInstanceGroup(data): CancelablePromise <string>

- update instance group

  #### Parameters

  - data: UpdateInstanceGroupData

    The data for the request.

  #### Returns CancelablePromise <string>

  string instance group updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5474